{% load static %}

<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Todo Lists</title>
    </head>
    <body>
        <main>
            <div>
                <h1>My Lists</h1>
                <p>
                    <a href="{% url 'todo_list_create' %}">Create new list</a>
                </p>
                <p>
                    <a href="{% url 'todo_item_create' %}">Create new item</a>
                </p>
                <table>
                    <thead>
                        <th>Name</th>
                        <th>Number of Items</th>
                    </thead>
                    <tbody>
                        {% for task in todo_list.all %}
                            <tr>
                                <td>
                                    <a href="{% url "todo_list_detail" task.id %}">{{ task.name }}</a>
                                </td>
                                <td>{{ task.items.all|length }}</td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
            </div>
        </main>
    </body>
</html>
